Get a list of digital workspaces crm.automatedsolution.list
Scope:
crmWho can execute the method: users with administrative access to the CRM section
The method will return an array of digital workspace settings. Each element of the array is a structure similar to the response from the request crm.automatedsolution.get.
Method Parameters
|
Name |
Description |
|
order |
List for sorting in the format
|
|
filter |
Object for filtering selected digital workspaces in the format
The filter can have unlimited nesting and number of conditions. By default, all conditions are combined using An additional prefix can be assigned to the key to specify the filter's behavior. Possible prefix values:
|
|
start |
This parameter is used for pagination control. The page size of results is always static: 50 records. To select the second page of results, you need to pass the value The formula for calculating the
|
Code Examples
-
Get all digital workspaces sorted by descending
idcURL (Webhook)cURL (OAuth)JSPHPcurl -X POST \ -H "Content-Type: application/json" \ -H "Accept: application/json" \ -d '{"order":{"id":"DESC"}}' \ https://**put_your_bitrix24_address**/rest/**put_your_user_id_here**/**put_your_webhook_here**/crm.automatedsolution.listcurl -X POST \ -H "Content-Type: application/json" \ -H "Accept: application/json" \ -d '{"order":{"id":"DESC"},"auth":"**put_access_token_here**"}' \ https://**put_your_bitrix24_address**/rest/crm.automatedsolution.listBX24.callMethod( "crm.automatedsolution.list", { "order": { "id": "DESC", } }, function(result) { if (result.error()) { console.error(result.error()); } else { console.info(result.data()); } } );require_once('crest.php'); $result = CRest::call( 'crm.automatedsolution.list', [ 'order' => [ 'id' => 'DESC' ] ] ); echo '<PRE>'; print_r($result); echo '</PRE>'; -
Get all digital workspaces whose titles start with "HR"
cURL (Webhook)cURL (OAuth)JSPHPcurl -X POST \ -H "Content-Type: application/json" \ -H "Accept: application/json" \ -d '{"filter":{"%=title":"HR%"}}' \ https://**put_your_bitrix24_address**/rest/**put_your_user_id_here**/**put_your_webhook_here**/crm.automatedsolution.listcurl -X POST \ -H "Content-Type: application/json" \ -H "Accept: application/json" \ -d '{"filter":{"%=title":"HR%"},"auth":"**put_access_token_here**"}' \ https://**put_your_bitrix24_address**/rest/crm.automatedsolution.listBX24.callMethod( "crm.automatedsolution.list", { "filter": { "%=title": "HR%" } }, function(result) { if (result.error()) { console.error(result.error()); } else { console.info(result.data()); } } );require_once('crest.php'); $result = CRest::call( 'crm.automatedsolution.list', [ 'filter' => [ '%=title' => 'HR%' ] ] ); echo '<PRE>'; print_r($result); echo '</PRE>'; -
Get all digital workspaces whose titles start with "HR" or "Customer" and
idgreater than100, sorted by titlecURL (Webhook)cURL (OAuth)JSPHPcurl -X POST \ -H "Content-Type: application/json" \ -H "Accept: application/json" \ -d '{"order":{"title":"ASC"},"filter":{">id":100,"0":{"logic":"OR","0":{"%=title":"HR%"},"1":{"%=title":"Customer%"}}}}' \ https://**put_your_bitrix24_address**/rest/**put_your_user_id_here**/**put_your_webhook_here**/crm.automatedsolution.listcurl -X POST \ -H "Content-Type: application/json" \ -H "Accept: application/json" \ -d '{"order":{"title":"ASC"},"filter":{">id":100,"0":{"logic":"OR","0":{"%=title":"HR%"},"1":{"%=title":"Customer%"}}},"auth":"**put_access_token_here**"}' \ https://**put_your_bitrix24_address**/rest/crm.automatedsolution.listBX24.callMethod( "crm.automatedsolution.list", { "order": { "title": "ASC" }, "filter": { ">id": 100, "0": { "logic": "OR", "0": { "%=title": "HR%" }, "1": { "%=title": "Customer%" } } } }, function(result) { if (result.error()) { console.error(result.error()); } else { console.info(result.data()); } } );require_once('crest.php'); $result = CRest::call( 'crm.automatedsolution.list', [ 'order' => [ 'title' => 'ASC' ], 'filter' => [ '>id' => 100, '0' => [ 'logic' => 'OR', '0' => [ '%=title' => 'HR%' ], '1' => [ '%=title' => 'Customer%' ] ] ] ] ); echo '<PRE>'; print_r($result); echo '</PRE>';
Response Handling
HTTP status: 200
{
"result": {
"automatedSolutions": [
{
"id": 238,
"title": "HR",
"typeIds": [
129
]
},
{
"id": 240,
"title": "Customer Success",
"typeIds": []
},
{
"id": 267,
"title": "R&D",
"typeIds": [
14,
158
]
}
]
},
"total": 3,
"time": {
"start": 1715849396.642359,
"finish": 1715849396.954623,
"duration": 0.31226396560668945,
"processing": 0.0068209171295166016,
"date_start": "2024-05-16T11:49:56+03:00",
"date_finish": "2024-05-16T11:49:56+03:00",
"operating_reset_at": 1715849996,
"operating": 0
}
}
Returned Data
|
Name |
Description |
|
result |
Root element of the response |
|
automatedSolutions |
Array of objects with information about selected payments |
|
total |
Total number of records found |
|
time |
Information about the execution time of the request |
Error Handling
HTTP status: 400
{
"error":"ACCESS_DENIED",
"error_description":"Insufficient permissions"
}
|
Name |
Description |
|
error |
String error code. It may consist of digits, Latin letters, and underscores |
|
error_description |
Textual description of the error. The description is not intended to be shown to the end user in its raw form |
Possible Error Codes
|
Code |
Description |
|
|
Insufficient permissions |
|
|
Invalid input argument value. Details can be found in the error message |
Statuses and System Error Codes
HTTP Status: 20x, 40x, 50x
The errors described below may occur when calling any method.
|
Status |
Code |
Description |
|
|
|
An internal server error has occurred, please contact the server administrator or Bitrix24 technical support |
|
|
|
An internal server error has occurred, please contact the server administrator or Bitrix24 technical support |
|
|
|
The request intensity limit has been exceeded |
|
|
|
The current method is not allowed to be called using batch |
|
|
|
The maximum length of parameters passed to the batch method has been exceeded |
|
|
|
Invalid access token or webhook code |
|
|
|
The methods must be called using the HTTPS protocol |
|
|
|
The REST API is blocked due to overload. This is a manual individual block, to remove it you need to contact Bitrix24 technical support |
|
|
|
The REST API is available only on commercial plans |
|
|
|
The user whose access token or webhook was used to call the method lacks permissions |
|
|
|
The manifest is not available |
|
|
|
The request requires higher privileges than those provided by the webhook token |
|
|
|
The provided access token has expired |
|
|
|
The user does not have access to the application. This means that the application is installed, but the account administrator has allowed access to this application only for specific users |
|
|
|
The public part of the site is closed. To open the public part of the site on an on-premise installation, disable the option "Temporary closure of the public part of the site". Path to the setting: Desktop > Settings > Product Settings > Module Settings > Main Module > Temporary closure of the public part of the site |
Continue Learning
- Digital Workspaces
- Create Digital Workspace crm.automatedsolution.add
- Update Digital Workplace crm.automatedsolution.update
- Get data about the digital workplace by id crm.automatedsolution.get
- Delete Digital Workplace crm.automatedsolution.delete
- Get fields of the digital workplace crm.automatedsolution.fields